MyGUI::MemberObsolete< ResourceManager > Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< ResourceManager >:
[legend]

## Public Member Functions

size_t | getResourceCount () const
IResourcePtr | getResource (std::string_view _name, bool _throw=true) const

## Detailed Description

Definition at line 545 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## getResource()

IResourcePtr MyGUI::MemberObsolete< ResourceManager >::getResource | ( | std::string_view | _name,
|  | bool | _throw = true ) const

Deprecated
  " is deprecated, use : IResourcePtr ResourceManager::getByName(std::string_view _name, bool _throw)"

Definition at line 997 of file MyGUI_BackwardCompatibility.cpp.

## getResourceCount()

size_t MyGUI::MemberObsolete< ResourceManager >::getResourceCount | ( |  | ) | const

Deprecated
  " is deprecated, use : size_t ResourceManager::getCount()"

Definition at line 993 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp